Bug 343641 - No connection using rt2500usb - register init failure
No connection using rt2500usb - register init failure
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-10-19 20:23 EDT by David Nielsen
Modified: 2008-02-13 15:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 15:37:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2007-10-19 20:23:54 EDT
Description of problem:
Whenever I plug in my Belkin Wireless G USB Network Connector I see the
following in dmesg:

usb 1-5: new high speed USB device using ehci_hcd and address 5
usb 1-5: configuration #1 chosen from 1 choice
phy3: Selected rate control algorithm 'simple'
phy3 -> rt2500usb_enable_radio: Error - Register initialization failed.
phy3 -> rt2500usb_enable_radio: Error - Register initialization failed.

Version-Release number of selected component (if applicable):
kernel-2.6.23.1-28.fc8

How reproducible:
100%

Steps to Reproduce:
1. Install F8
2. Insert USB dongle
3. Cry
  
Actual results:
No connection

Expected results:
Glorious connection to the beyond known as the internet

Additional info:
I tested this on both x86_64 and i386 and I see the same problem
Comment 1 John W. Linville 2007-10-22 09:50:13 EDT
Please attach the output of running 'lsusb'.

Also, you may wish to try 'modprobe -r rt2500usb ; modprobe rt73usb' -- there 
is some overlap in USB IDs between the two drivers.  Does that help?
Comment 2 David Nielsen 2007-11-08 08:25:50 EST
Sorry for the lateness, I decided to wait for a final F8 instead of doing yet
another network install

blacklisting rt2500usb makes me able to connect to the standard open network,
I'm still having considerable problems connecting to the WPA network for this
dmesg reveals that the auth. times out.

Additionally this being my server machine I cannot bring up my network using the
standard magic, it however detects my networks if I use network manager.. this
in return requires me to be logged into GNOME.. but since it's a server machine
no autologin and unlocking the keyring. I suppose there's a solution to such
situations?
Comment 3 John W. Linville 2007-11-09 14:26:35 EST
Please try these kernels:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=23734

Are they working satisfactorily for you?
Comment 4 John W. Linville 2008-02-13 15:37:23 EST
Closed due to lack of response...

Note You need to log in before you can comment on or make changes to this bug.